Skip to main content

Update primary location

PUThttps://carchost.fieldcontrol.com.br/customers/{customerId}/primary-location/{locationId}

Sets a location of the customer as primary. Returns the updated customer. There is no request body.

Requires the X-Api-Key and User-Agent headers. Limit: 1 request per second (learn more).

Request​

Path parameters

customerIdstringrequired

Customer identifier.

locationIdstringrequired

Location identifier.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Responses

  • 200

    Customer updated.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Resource not found. The response body is empty.

  • 422

    An archived location cannot be primary (cannotSetArchivedLocationAsPrimary).

    cannotSetArchivedLocationAsPrimary →
  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.